---
title: overflow
slug: Web/SVG/Attribute/overflow
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>overflow</code></strong> attribute sets what to do when an element's content is too big to fit in its block formatting context. <strong>This feature is not widely implemented yet</strong>.</span> It has the same parameter values and meaning as the {{cssxref("overflow", "CSS overflow property")}}, however, the following additional points apply:</p>

<ul>
 <li>If it has a value of <code>visible</code>, the attribute has no effect (i.e., a clipping rectangle is not created).</li>
 <li>If the <code>overflow</code> property has the value <code><span class="prop-value"> hidden</span></code> or <code><span class="prop-value">scroll</span></code>, a clip of the exact size of the SVG viewport is applied.</li>
 <li>When <code><span class="prop-value">scroll</span></code> is specified on an {{SVGElement("svg")}} element, a scrollbar or panner is normally shown for the SVG viewport whether or not any of its content is clipped.</li>
 <li>Within SVG content, the value <code><span class="prop-value">auto</span></code> implies that all rendered content for child elements must be <span class="prop-value">visible</span>, either through a scrolling mechanism, or by rendering with no clip.</li>
</ul>

<div class="note">Although the initial value for overflow is <code>auto</code>, it is overwritten in the User Agent style sheet for the {{SVGElement("svg")}} element when it is not the root element of a stand-alone document, the {{SVGElement("pattern")}} element, and the {{SVGElement("marker")}} element to be hidden by default.</div>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>overflow</code> can be used as a CSS property. See the {{cssxref("opacity", "CSS opacity")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("foreignObject")}}, {{SVGElement("iframe")}}, {{SVGElement("image")}}, {{SVGElement("marker")}}, {{SVGElement("pattern")}}, {{SVGElement("symbol")}}, {{SVGElement("svg")}}, and {{SVGElement("text")}}</p>

<div id="Example">
<div class="hidden">
<pre class="brush: css notranslate">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[1] notranslate">&lt;svg viewBox="0 0 200 30" xmlns="http://www.w3.org/2000/svg" overflow="auto"&gt;
  &lt;text y="20"&gt;This text is wider than the SVG, so there should be a scrollbar shown.&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("Example", "200", "50")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>visible</code> | <code>hidden</code> | <code>scroll</code> | <code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>visible</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please see the {{cssxref("overflow", "CSS overflow")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS2.1", "visufx.html#overflow", "overflow")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Definition in CSS</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "render.html#OverflowAndClipProperties", "overflow")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Simplifies the definition and outlines the values within the user agent stylesheet.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#OverflowProperty", "overflow")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.overflow")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("overflow", "CSS overflow")}}</li>
</ul>
